
Core - Task # 55515

Epic # 55070 (Accepted): Workpackages
Epic # 55066 (New): WP: Security enhancements

Status: Resolved Priority: Must have
Author: Helmut Hummel Category:
Created: 2014-01-31 Assigned To: Alexander Schnitzler
Updated: 2014-02-24 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Add CSRF Protection for tce_file.php
Description

tce_file.php works as API/ entry point for file operations and must be CSRF protected (like tce_db.php)

    -  Add token check in tce_file.php
    -  Search all places where tce_file.php is used and add the token
        -  Especially all JS (d&d fileupload) needs to get the token (d&d upload is handled by ajax.php and needs special handling. This
will be targeted in another change)

Related issues:
blocked by Core - Bug # 56084: t3editor is not usable any more Resolved 2014-02-18

Associated revisions
Revision 75281c9c - 2014-02-24 14:30 - Alexander Schnitzler 

[!!!][SECURITY] Add CSRF Protection for tce_file.php

Add a token check in tce_file.php and token generation
everywhere forms for or links to tce_file.php are created.

Additionaly make sure, an instance of ExtendedFileUtility
is created in FileController on initialization to prevent
a fatal "Call to a member function on a non-object" error
in FileController::finish.

Releases: 6.2
Resolves: #55515
Change-Id: Ifd585661ac2cac6c88eaca5ad63b447d27e35395
Reviewed-on: https://review.typo3.org/27691
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History
#1 - 2014-02-18 11:56 - Alexander Schnitzler
- Assigned To set to Alexander Schnitzler

#2 - 2014-02-18 14:45 - Gerrit Code Review
- Status changed from Accepted to Under Review
https://review.typo3.org/27691


Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27691

#3 - 2014-02-18 16:07 - Alexander Schnitzler
- % Done changed from 0 to 30

#4 - 2014-02-18 21:20 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27691

#5 - 2014-02-24 14:27 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27691

#6 - 2014-02-24 15:30 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 30 to 100

Applied in changeset commit:75281c9c7193fb28464a409836d4c8f7a79af9b9.
